%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Angular-FileUpload

Name:           python-%{pypi_name}
Version:        12.0.4.0
Release:        2%{?dist}
Summary:        Angular-FileUpload JavaScript library (XStatic packaging standard)

License:        MIT
URL:            https://github.com/danialfarid/ng-file-upload
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# PyPi source states License: (same as Angular-FileUpload)
Source1:        https://raw.githubusercontent.com/danialfarid/ng-file-upload/master/LICENSE
BuildArch:      noarch

%description
Angular-FileUpload JavaScript library packaged
for setuptools (easy_install) / pip.

Lightweight Angular directive to upload files.

%package -n python2-%{pypi_name}
Summary: Angular-FileUpload JavaScript library (XStatic packaging standard)
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-XStatic
Requires:       xstatic-angular-fileupload-common

%description -n python2-%{pypi_name}
Angular-FileUpload JavaScript library packaged
for setuptools (easy_install) / pip.

Lightweight Angular directive to upload files.

%package -n xstatic-angular-fileupload-common
Summary: Angular-FileUpload (XStatic packaging standard) JavaScript library

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-angular-fileupload-common
Angular-FileUpload JavaScript library packaged
for setuptools (easy_install) / pip.

This package contains the javascript files.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary: Angular-FileUpload JavaScript library (XStatic packaging standard)
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-angular-fileupload-common

%description -n python3-%{pypi_name}
Angular-FileUpload JavaScript library packaged
for setuptools (easy_install) / pip.

Lightweight Angular directive to upload files.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
cp %{SOURCE1} .

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_fileupload'|" xstatic/pkg/angular_fileupload/__init__.py

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move static files
mkdir -p %{buildroot}/%{_jsdir}/angular_fileupload
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_fileupload/data/* %{buildroot}/%{_jsdir}/angular_fileupload/
rmdir %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_fileupload/data/

%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}/%{python3_sitelib}/xstatic/pkg/angular_fileupload/data
%endif

%files -n python2-%{pypi_name}
%doc README.txt
%license LICENSE
%{python2_sitelib}/xstatic/pkg/angular_fileupload
%{python2_sitelib}/XStatic_Angular_FileUpload-%{version}-py?.?.egg-info
%{python2_sitelib}/XStatic_Angular_FileUpload-%{version}-py?.?-nspkg.pth

%files -n xstatic-angular-fileupload-common
%doc README.txt
%license LICENSE
%{_jsdir}/angular_fileupload

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%license LICENSE
%{python3_sitelib}/xstatic/pkg/angular_fileupload
%{python3_sitelib}/XStatic_Angular_FileUpload-%{version}-py?.?.egg-info
%{python3_sitelib}/XStatic_Angular_FileUpload-%{version}-py?.?-nspkg.pth
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12.0.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 24 2016 Javier Peña <jpena@redhat.com> - 12.0.4.0-1
- Updated to upstream version 12.0.4.0

* Mon May 23 2016 Javier Peña <jpena@redhat.com> - 1.4.0.1-2
- Updated path for javascript file

* Fri May 20 2016 Javier Peña <jpena@redhat.com> - 1.4.0.1-1
- First version
